/*
 * CODENVY CONFIDENTIAL
 * __________________
 *
 * [2012] - [2013] Codenvy, S.A.
 * All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Codenvy S.A. and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Codenvy S.A.
 * and its suppliers and may be covered by U.S. and Foreign Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Codenvy S.A..
 */
package org.exoplatform.ide.git.client.merge;

import com.google.gwt.core.client.GWT;
import com.google.gwt.event.dom.client.HasClickHandlers;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.user.client.ui.Image;
import com.google.gwt.user.client.ui.Widget;

import org.exoplatform.gwtframework.ui.client.api.TreeGridItem;
import org.exoplatform.gwtframework.ui.client.component.ImageButton;
import org.exoplatform.ide.client.framework.ui.impl.ViewImpl;
import org.exoplatform.ide.client.framework.ui.impl.ViewType;
import org.exoplatform.ide.git.client.GitClientBundle;
import org.exoplatform.ide.git.client.GitExtension;

/**
 * View to perform merge operation. Must be pointed in Views.gwt.xml
 * 
 * @author <a href="mailto:zhulevaanna@gmail.com">Ann Zhuleva</a>
 * @version $Id: Jul 20, 2011 3:05:46 PM anya $
 */
public class MergeView extends ViewImpl implements MergePresenter.Display {
    private static final String ID               = "MergeView";

    private static final String MERGE_BUTTON_ID  = "MergeViewMergeButton";

    private static final String CANCEL_BUTTON_ID = "MergeViewCancelButton";

    private static final int    WIDTH            = 430;

    private static final int    HEIGHT           = 250;

    interface MergeViewUiBinder extends UiBinder<Widget, MergeView> {
    }

    /** Reference tree. */
    @UiField
    RefTree                          refTree;

    /** Merge button. */
    @UiField
    ImageButton                      mergeButton;

    /** Cancel button. */
    @UiField
    ImageButton                      cancelButton;

    /** UI binder for this view. */
    private static MergeViewUiBinder uiBinder = GWT.create(MergeViewUiBinder.class);

    public MergeView() {
        super(ID, ViewType.MODAL, GitExtension.MESSAGES.mergeTitle(), new Image(GitClientBundle.INSTANCE.merge()), WIDTH,
              HEIGHT);
        setCloseOnEscape(true);
        add(uiBinder.createAndBindUi(this));
        mergeButton.setButtonId(MERGE_BUTTON_ID);
        cancelButton.setButtonId(CANCEL_BUTTON_ID);
    }

    /** @see org.exoplatform.ide.git.client.merge.MergePresenter.Display#getMergeButton() */
    @Override
    public HasClickHandlers getMergeButton() {
        return mergeButton;
    }

    /** @see org.exoplatform.ide.git.client.merge.MergePresenter.Display#getCancelButton() */
    @Override
    public HasClickHandlers getCancelButton() {
        return cancelButton;
    }

    /** @see org.exoplatform.ide.git.client.merge.MergePresenter.Display#getRefTree() */
    @Override
    public TreeGridItem<Reference> getRefTree() {
        return refTree;
    }

    /** @see org.exoplatform.ide.git.client.merge.MergePresenter.Display#enableMergeButton(boolean) */
    @Override
    public void enableMergeButton(boolean enable) {
        mergeButton.setEnabled(enable);
    }

    /** @see org.exoplatform.ide.git.client.merge.MergePresenter.Display#getSelectedReference() */
    @Override
    public Reference getSelectedReference() {
        return refTree.getSelectedItem();
    }
}
